cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/aws-endpoint-connections \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"connections": [
{
"cloud_provider": "GCP",
"endpoint_id": "<string>",
"region_name": "<string>",
"service_id": "<string>",
"status": "PENDING",
"external_owner_id": "<string>"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List all AwsEndpointConnections for a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
aws-endpoint-connections
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/aws-endpoint-connections \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"connections": [
{
"cloud_provider": "GCP",
"endpoint_id": "<string>",
"region_name": "<string>",
"service_id": "<string>",
"status": "PENDING",
"external_owner_id": "<string>"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id is the ID for the cluster.
Response
A successful response.
Connections is a list of private endpoints.
Show child attributes
Show child attributes

